"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.templates = void 0;
const object_1 = require("./modules/object");
const component_1 = require("./modules/component");
const main_1 = require("./modules/main");
exports.templates = {
    //Main
    initialize: main_1.initialize,
    finalize: main_1.finalize,
    //Object
    createObject: object_1.createObject,
    setMut: object_1.setMut,
    getVal: object_1.getVal,
    setVal: object_1.setVal,
    setValAction: object_1.setValAction,
    noRegisterSetValAction: object_1.noRegisterSetValAction,
    useBehavior: object_1.useBehavior,
    useBehaviorPost: object_1.useBehaviorPost,
    //Behavior
    createBehavior: component_1.createBehavior,
    setBehaviorMut: component_1.setBehaviorMut,
    getBehaviorVal: component_1.getBehaviorVal,
    setBehaviorVal: component_1.setBehaviorVal,
    setBehaviorValAction: component_1.setBehaviorValAction,
    noRegisterSetBehaviorValAction: component_1.noRegisterSetBehaviorValAction,
    finalizeBehavior: component_1.finalizeBehavior,
    getBehaviorArgs: component_1.getBehaviorArgs,
    setBehaviorValArgs: component_1.setBehaviorValArgs,
    behaviorGraph: component_1.behaviorGraph
};
//# sourceMappingURL=index.js.map