import { TemplateArgs, TemplateContext } from "logimat";
import { TemplateState } from "./types/TemplateState";
import { SemiMutable } from "./types/SemiMutable";
export declare const ensureState: (state: TemplateState) => void;
export declare const outerCheck: (context: TemplateContext) => void;
export declare const expressionCheck: (context: TemplateContext) => void;
export declare const objectCheck: (state: TemplateState, id: number) => void;
export declare const objectVarCheck: (state: TemplateState, id: number, name: string) => void;
export declare const getSemiMut: (state: TemplateState, id: number, name: string) => SemiMutable;
export declare const behaviorCheck: (state: TemplateState, name: string) => void;
export declare const getNum: (args: TemplateArgs, state: TemplateState, idx: number, error?: string) => number;
export declare const getString: (args: TemplateArgs, state: TemplateState, idx: number, error?: string) => string;
export declare const getFullVariableName: (varName: string, behaviorName: string) => string;
export declare const getShortVariableName: (varName: string) => string;
